<?php

namespace common\logic\PointSale\UserPointSale\Wrapper;

use common\logic\AbstractContainer;
use common\logic\PointSale\UserPointSale\Model\UserPointSale;
use common\logic\PointSale\UserPointSale\Repository\UserPointSaleRepository;
use common\logic\PointSale\UserPointSale\Service\UserPointSaleBuilder;

class UserPointSaleContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserPointSale::class;
    }

    public function getServices(): array
    {
        return [
            UserPointSaleRepository::class,
            UserPointSaleBuilder::class,
        ];
    }

    public function getRepository(): UserPointSaleRepository
    {
        return UserPointSaleRepository::getInstance();
    }

    public function getBuilder(): UserPointSaleBuilder
    {
        return UserPointSaleBuilder::getInstance();
    }
}